Bug 834052 - [RFE] limiting Directory Manager (nsslapd-rootdn) bind access by source host (e.g. 127.0.0.1)
Summary: [RFE] limiting Directory Manager (nsslapd-rootdn) bind access by source host ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 17:58 UTC by Nathan Kinder
Modified: 2013-02-21 08:18 UTC (History)
3 users (show)

(edit)
Feature: Access Control

Reason: Needed access control features for root dn access

Result (if any):
Clone Of:
(edit)
Last Closed: 2013-02-21 08:18:25 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-20 17:58:22 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/110

https://bugzilla.redhat.com/show_bug.cgi?id=458187

{{{
Description of problem:

The Directory Manager account (the one whose DN is specified in dse.ldif as
nsslapd-rootdn) is a dangerously privileged account.

Access control does not apply to this user and compromising its DN and password
gives full control over the directory server.

Therefore, it would be desirable to limit this user's bind access based on some
additional criteria, in addition to the knowledge of the password.

Limits based on the source host (e.g. localhost) and/or time of day (e.g. only
work hours) would be very useful.

Currently an attacker can easily mount a brute force guessing attack on the
Directory Manager account over the network and if he succeeds, he practically
has full control over the directory server. The only defense against this is by
using a very long manager password and hard to guess rootdn which may be
somewhat unpractical.

This problem is especially significant for LDAP servers accessible from public
networks.

Additional info:

Note that in OpenLDAP this is possible using the following ACL:

access to dn.base="cn=Manager,o=Example"
 by peername.regex=127\.0\.0\.1 auth
 by users none
 by anonymous none


This ACL however requires creating a concrete LDAP entry that corresponds to
rootdn, setting a userPassword in taht entry, and leaving the rootpw in
OpenLDAP configuration undefined. This way the concrete userPassword is used
when binding and is subject to that ACL which only allows access from
connections that origin from 127.0.0.1.

More details:
http://www.openldap.org/faq/data/cache/761.html
http://www.openldap.org/lists/openldap-software/200711/msg00342.html
}}}

Comment 1 RHEL Product and Program Management 2012-07-10 06:17:39 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Product and Program Management 2012-07-10 23:01:34 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Amita Sharma 2013-01-30 15:08:16 UTC
This bug is verified manually and during testing found below bugs::
Ticket 474
Bug 894015
Bug 893986
Rest all passed.
Hence marking this bug as VERIFIED.

Comment 6 errata-xmlrpc 2013-02-21 08:18:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.